import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { TextField } from '../../configurations/fields/text-field';
import { BaseFieldComponent, BaseFieldComponentConfig } from '../base-field-component';
import { InputMask } from 'primeng/inputmask';
import * as i0 from "@angular/core";
export declare class TextFieldComponent extends BaseFieldComponent implements OnInit, AfterViewInit, OnDestroy, BaseFieldComponentConfig {
    private readonly changeDetectorRef;
    field: TextField;
    formControl: FormControl;
    onInput: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onComplete: EventEmitter<any>;
    inputRef: ElementRef | InputMask | null;
    private ngUnsubscribe;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    getCharacterPattern(): string;
    getUnmask(): boolean;
    get inputElement(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextFieldComponent, "ng-component", never, { "field": { "alias": "field"; "required": true; }; "formControl": { "alias": "formControl"; "required": true; }; }, { "onInput": "onInput"; "onFocus": "onFocus"; "onComplete": "onComplete"; }, never, never, false, never>;
}
